package com.logicbig.example;

import org.springframework.beans.factory.annotation.Qualifier;
import jakarta.inject.Inject;
import java.util.Arrays;

public class OrderServiceClient {

    @Inject
    @Qualifier("OrderServiceB")
    private OrderService orderService;

    public void showPendingOrderDetails() {
        for (String orderId : Arrays.asList("100", "200", "300")) {
            System.out.println(orderService.getOrderDetails(orderId));
        }
    }
}